using Domain.Entities;

namespace Models.Interfaces
{
    public interface IPhSProductCategoryRepository
    {
        Task<IEnumerable<EProductCategory>> GetAllAsync();
        Task<EProductCategory?> GetByIdAsync(int id);
        Task<IEnumerable<EProductCategory>> SearchAsync(string term);
        Task<EProductCategory> CreateAsync(EProductCategory unit);
        Task<bool> UpdateAsync(EProductCategory unit);
        Task<bool> DeleteAsync(int id);
    }
}
